Rated 5 out of 5 stars

works fine in Fx 3.6.3 if you change maxVersion in install.rdf from 3.5.* to 3.6.* using a file archiver, like 7-zip

This review is for a previous version of the add-on (1.5).